; ----------------------------------------------------------------------------
; LCDout: LCD-Modul ansteuern
; ----------------------------------------------------------------------------
;
; wegen der geringen Geschwindigkeit des LCD-Moduls wird 
; immer nur ein einziges Nible bertragen.
; Aktivieren: 	warten bis (D)lcdsta = 0 ist, dann mit (D)lcdsta = 1 starten
; Daten: komplette String in (D), Adresse des Puffers in (D)lcdzgr
; 	erstes Wort: Adresse bzw Befehl, RS am LCD wird auf 0 gesetzt
; 	folgende: ASCII-Zeichen, darf auch fehlen wenn nur Adr/Befehl soll, 
;	RS am LCD wird auf 1 gesetzt
;	letzes Wort: 0x0000 = Endezeichen

.equ	lcdpine,11		; E  am LCD	
.equ	lcdpinrs,10		; RS am LCD

.text
.global LCDout,LCDsnd,LCDadrsnd

LCDout:
	cp0		lcdtimer
	bra		z,lcdoutv
	return
lcdoutv:
	mov		#1,w2
	mov		w2,lcdtimer
	mov		lcdsta,w2
	bra		w2
	bra		lcdout0
	bra		lcdout1
	bra		lcdout2
	bra		lcdout3
	bra		lcdout4
	bra		lcdout5
	
; Standby
lcdout0:
	return
	
; starten mit LCD-Position (Adresse), HW-Nible der Adresse
lcdout1:
	mov		lcdzgr,w1
	mov		[w1],w0
	lsr		w0,#4,w0
	and		#0x0f,w0
	rcall	LCDadrsnd
	inc		lcdsta
	return
; starten mit LCD-Position (Adresse), NW-Nible der Adresse
lcdout2:
	mov		lcdzgr,w1
	mov		[w1],w0
	and		#0x0f,w0
	rcall	LCDadrsnd
	inc2	lcdzgr
	inc		lcdsta
	return 
; ASCII-Daten Nible 1 senden
lcdout3:
	mov		lcdzgr,w1
	mov		[w1],w0
	cp0		w0
	bra		z,lcdout5	; Ende-Zeichen?
	lsr		w0,#4,w0
	and		#0x0f,w0
	rcall	LCDsnd
	inc		lcdsta
	return
; ASCII-Daten Nible 0 senden
lcdout4:
	mov		lcdzgr,w1
	mov		[w1],w0
	and		#0x0f,w0
	rcall	LCDsnd
	dec		lcdsta
	inc2	lcdzgr
	return

; Beendet
lcdout5:
	mov		#1,w2
	mov		w2,lcdtimer
 	clr		lcdsta
	return	

; LCDsnd sendet 1 Nible zum LCD-Modul
; Eingang: Nible in w0, restliche bits mssen auf 0 sein
LCDsnd:
	sl		w0,#12,w0
	bset	w0,#lcdpinrs
	nop
	bset	w0,#lcdpine		; EN =1
	mov		LATB,w1
	and		#0x03ff,w1
	ior		w1,w0,w0
	mov		w0,LATB
	nop
	nop
 	nop
	nop
	nop
	nop
	bclr	LATB,#lcdpine	; EN =0
	return

; LCDadrsnd sendet die Adresse, 1 Nible zum LCD-Modul
; Eingang: Nible in w0, restliche bits mssen auf 0 sein
LCDadrsnd:
	sl		w0,#12,w0
	bset	w0,#lcdpine		; EN =1
	nop
	mov		LATB,w1
	and		#0x03ff,w1
	ior		w1,w0,w0
	mov		w0,LATB
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	bclr	LATB,#lcdpine	; EN =0
	return

