; Stromanzeige-Platine SAP9000, SAP90V1.s Haupt-Routine

.equ __33FJ16MC102, 1 
.include "p33FJ16MC102.inc"
.include "ram.inc"

; Oszillator auf intern 7,37MHz, PLL=4, /2 = 14,74MHz
config 	__CONFIG2, FNOSC_FRCPLL & ALTI2C_ON	 ; int. Osz. mit PLL

; Wachhund = aus
config	__CONFIG1,ICS_PGD3 & FWDTEN_OFF

.global	__reset
.global __T1Interrupt

; RAM
.section	MAINRAM, bss, address(0x850)

.text	

__reset:
;stack setzen
	mov 	#stackanfang,w15
	mov 	#stackanfang+100,W0
	mov 	W0,_SPLIM
; RAM lschen
 	mov		#0x850,w0
 	repeat	#(ramende-ramanfang)
 	clr		[w0++]

; Peripherie Module
	mov		#0b1111011111111110,w0
	mov		PMD1,w0
	mov		#0xffff,w0
	mov		PMD2,w0
	mov		PMD3,w0
	mov		PMD4,w0
	clr		w0
	mov		P1FLTACON,w0

; Port A: b1,b0 = Analog Eingnge
	MOV 	#0x0003, W0
	MOV 	W0, TRISA
	
; Analogeingng
	mov		#0b1111000,w0	; 0 = Analogeingang
	MOV		W0,AD1PCFGL
	
; Port B: Eingnge b15...b1 = Ausgang, b0 =Eingang (AN2)
	mov		#0x01, W0
	mov		w0,TRISB
	nop
	bclr	LATB,#6
	
; Timer 1 Interrupt alle 100us
	clr		T1CON
	clr		TMR1
	mov		#0b000100000,w0 		; int Clk 68ns * 64 = 4,352us
	mov		w0,T1CON
	mov		#23,w0			; ?? 4,352 x 23 = ca. 100us
	mov		w0,PR1
	BCLR 	IFS0,#T1IF 
	bset 	IEC0,#T1IE
	bset	T1CON,#TON

; PSV aktivieren
	bset	CORCON,#PSV
	mov		#psvpage(Zeile1),w0
	mov		w0,PSVPAG
	
; LCD und Analog
	call	LCDinit
	call	ADWinit
;	clr		TMR1

; Hauptschleife	
hp:
	call	Betrieb
	nop
 	nop
	call	ADWcon
	nop
	nop
	call	LCDout
	nop
	nop
	call	Monitor
	nop
	nop
	call	Timer
 	nop
	nop
	call	RSout
	nop
	goto	hp

;---------------------------------------------------
; Interrupt wird alle 100us aktiv

__T1Interrupt:
	BCLR 	IFS0,#T1IF ; Reset Timer1 interrupt flag
 	inc		takt100

; fr RS232, das zu sendete bit wird in W12-b0 bergeben
; Steuerbit in W11-b0

	btss	w11,#0
	retfie
	bclr	w11,#0
	btst.c	w12,#0
	bra		c,t1int2
	bset	LATB,#7
	retfie
t1int2:
	bclr	LATB,#7
	retfie

__DefaultInterrupt:
	nop
	nop
	retfie
		